<?php

// ----------------------------------------------------------------
// obligate check for phpwcms constants
if (!defined('PHPWCMS_ROOT')) {
   die("You Cannot Access This Script Directly, Have a Nice Day.");
}
// ----------------------------------------------------------------

 /*
 * module User/Group
 * ===============
 *
 * some defaults for modules: $phpwcms['modules'][$module]
 * store all related in here and holds some default values
 * ['path'], ['type'], ['name']
 * language values are store in $BL['modules'][$module] 
 * as defined in lang/en.lang.php
 * but maybe to keep default language file more lightweight
 * you can use own language definitions starting within this file
 *
 */

if(isset($phpwcms['modules'][$module]['dir']) && is_file($phpwcms['modules'][$module]['dir'].'setup/setup.php')) {

include_once($phpwcms['modules'][$module]['dir']."inc_lib/ug_general.php");
define('MODUL_HREF', 'phpwcms.php?do=modules&amp;module='.$module);

$phpwcms['modules']['usergroup']['tables'] = array("phpwcms_members","phpwcms_user","phpwcms_usergroup","phpwcms_article_permissions","phpwcms_article_permissions_global");
$phpwcms['modules']['usergroup']['versions'] = array("1.4.1"=>"1.4.x","1.4.2"=>"1.4.x","1.4.3"=>"1.4.x"); // +KH v1.4.3

$style_ok = 'style="color:#72C868"';
$style_wrong = 'style="color:#FF3300"';

$i = 0;
if(isset($phpwcms['modules'][$module]['permissions'])) {
	$text = $BL['modules'][$module]['modul_phpwcms1'];
	$img = ug_checkimg("ok");
} else {
	$i++;
	$text = '<strong '.$style_wrong.'>'.$BL['modules'][$module]['modul_phpwcms2'].'</strong>';
	$img = ug_checkimg("wrong");
	$hint = ($_SESSION["wcs_user_admin"] == 1) ? '&nbsp;&nbsp;<font class="v09"><a href="'.$phpwcms['modules'][$module]['dir']
		.'setup/setup.php?copy=phpwcms&ver='.$phpwcms['modules']['usergroup']['versions'][$phpwcms["release"]].'">'.$BL['modules'][$module]['modul_create'].'</a></font>' : '';
}
if(ug_searchperm($BL['be_subnav_admin_users']) == 1 && ug_searchperm($BL['be_subnav_admin_groups']) == 1) {
	$text2 = str_replace("%user%", "<b>".$_SESSION["wcs_user"]."</b>", $BL['modules'][$module]['modul_ok_permissions']);
	$img2 = ug_checkimg("ok");
} elseif(isset($phpwcms['modules'][$module]['permissions'])) {
	$i++;
	$text2 = '<strong '.$style_wrong.'>'.str_replace("%user%", "<b>".$_SESSION["wcs_user"]."</b>", $BL['modules'][$module]['modul_err_permissions']).'</strong>';
	$img2 = ug_checkimg("wrong");
}

$chk_install = (is_file($phpwcms['modules'][$module]['dir'].'installmode')) ? " CHECKED" : "";

if(array_key_exists($phpwcms["release"], $phpwcms['modules']['usergroup']['versions'])) {
	$ver = '<strong '.$style_ok.'>'.$phpwcms['release'].'</strong> '.ug_checkimg("ok");
} else {
	$ver = '<strong '.$style_wrong.'>'.$phpwcms['release'].'</strong> '.ug_checkimg("wrong");
	$i++;
}

?>
<h1 class="title" style="margin-bottom:10px"><?php echo $BL['modules'][$module]['modul_title']; ?><div style="float: right;"><?php echo $BL['be_mug_help']; ?></div></h1>
<font class="v09">(<?php echo str_replace("%ver%", $ver, $BL['modules'][$module]['modul_compatiple']); ?>)</font><br />
<br />
<form action="<?php echo MODUL_HREF ?>" method="POST" name="form_modul">
  <!-- <input type="hidden" name="do" value="1" /> //-->
  <table width="420px" border="0" cellpadding="0" cellspacing="0">
    <tr>
	  <td align="right" class="chatlist" width="120px"><strong><?php echo $BL['modules'][$module]['modul_active']; ?>: </strong></td>
      <td class="chatlist"><input type="checkbox" name="active" value="1" DISABLED
	  <?php
	  if($_SESSION["wcs_user_admin"] == 1) {
		echo ' onClick="location.href=\''.$phpwcms['modules'][$module]['dir'].'setup/setup.php?active=\'+this.checked;"';
	  }
	  ?>></td>
	</tr>
    <tr>
	  <td align="right" class="chatlist" width="120px"><?php echo $BL['modules'][$module]['modul_install']; ?>: </td>
      <td class="chatlist"><input type="checkbox" name="install" value="1"<?php echo $chk_install; ?> DISABLED
	  <?php
	  if($_SESSION["wcs_user_admin"] == 1) {
		echo ' onClick="location.href=\''.$phpwcms['modules'][$module]['dir'].'setup/setup.php?install=\'+this.checked;"> <font class="v09">'
		. '('.$BL['modules'][$module]['modul_install_hint'].')</font';
	  }
	  ?>></td>
	</tr>
  </table>
  <table width="420px" border="0" cellpadding="0" cellspacing="0">
    <tr><td colspan="3" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
<?php
	if(isset($phpwcms['modules'][$module]['permissions'])) {
?>
	<tr><td width="20px">&nbsp;</td><td width="20px" class="chatlist"><?php echo $img2; ?></td><td><?php echo $text2; ?></td></tr>
<?php
	}
?>
<?php
	if($perm_mode == 2) {
?>
	<tr><td width="20px">&nbsp;</td><td width="20px" class="chatlist"><?php echo ug_checkimg("hint"); ?></td><td><?php echo $BL['modules'][$module]['modul_hint']; ?></td></tr>
<?php
	}
?>
    <tr><td colspan="3" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td align="left" class="chatlist" colspan="3"><div id="box">
	  <span id="open_span">
	    <a href="#" onClick="document.getElementById('close_span').style.display='inline';document.getElementById('open_span').style.display='none';document.getElementById('box').style.border='1px solid #9BBECA';">
	    <img src="<?php echo $phpwcms['modules'][$module]['dir']; ?>img/files_reiter.gif" alt="close" width="45px" height="12px" style="border:0px;">
		</a>
	  </span>
	  <span id="close_span" style="display:none;">
	    <a href="#" onClick="document.getElementById('open_span').style.display='inline';document.getElementById('close_span').style.display='none';document.getElementById('box').style.border='0px';">
		<img src="<?php echo $phpwcms['modules'][$module]['dir']; ?>img/close_reiter.gif" alt="close" width="45px" height="12px" style="border:0px;z-index:2;">
		</a><br /><table border="0" cellpadding="0" cellspacing="0">
	<tr><td>&nbsp;</td><td colspan="3" class="chatlist"><strong>/</strong></td></tr>
	<?php
	//$i += ug_checkfile("module.default.php");
	//$i += ug_checkfile("backend.default.php");
	//$i += ug_checkfile("functions.php");
	$i += ug_checkfile("admin.editgroup.tmpl.php");
	$i += ug_checkfile("admin.editgroup.tmpl.php");
	$i += ug_checkfile("admin.edituser.tmpl.php");
	$i += ug_checkfile("admin.groups.tmpl.php");
	$i += ug_checkfile("admin.newgroup.tmpl.php");
	$i += ug_checkfile("admin.newuser.tmpl.php");
	$i += ug_checkfile("admin.listuser.tmpl.php");
	$i += ug_checkfile("user_group.css");
	//$i += ug_checkfile("installmode");
	?>
	<tr><td colspan="4" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td>
	</tr><tr><td>&nbsp;</td><td colspan="3" class="chatlist"><strong>/img</strong></td></tr>
	<?php
	$i += ug_checkfile("close_reiter.gif","img/");
	$i += ug_checkfile("group_add.gif","img/");
	$i += ug_checkfile("group_inaktiv.gif","img/");
	$i += ug_checkfile("group_norm.gif","img/");
	$i += ug_checkfile("group_reiter.gif","img/");
	$i += ug_checkfile("permissions_reiter.gif","img/");
	$i += ug_checkfile("user_reiter.gif","img/");
	$i += ug_checkfile("files_reiter.gif","img/",1);
	$i += ug_checkfile("tables_reiter.gif","img/",1);
	$i += ug_checkfile("ok.gif","img/",1);
	$i += ug_checkfile("info.gif","img/",1);
	$i += ug_checkfile("wrong.gif","img/",1);
	$i += ug_checkfile("hint.gif","img/",1);
	?>
	<tr><td colspan="4" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td>&nbsp;</td><td colspan="3" class="chatlist"><strong>/act</strong></td></tr>
	<?php
	$i += ug_checkfile("act_usergroup.php","inc_act/");
	$i += ug_checkfile("act_user.php","inc_act/");
	?>
	<tr><td colspan="4" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td>&nbsp;</td><td colspan="3" class="chatlist"><strong>/inc_lib</strong></td></tr>
	<?php
	$i += ug_checkfile("load_permissions.php","inc_lib/");
	//$i += ug_checkfile("ug_general.php","inc_act/");
	$i += ug_checkfile("admin.usergroup.tmpl.php","inc_lib/");
	$i += ug_checkfile("admin.permissions.tmpl.php","inc_lib/");
	?>
	<tr><td colspan="4" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td>&nbsp;</td><td colspan="3" class="chatlist"><strong>/lang</strong></td></tr>
	<?php
	//$i += ug_checkfile("en.lang.php","lang/");
	$i += ug_checkfile("de.lang.php","lang/",1);
	?>
	<tr><td colspan="4" class="chatlist"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td>&nbsp;</td><td colspan="3" class="chatlist"><strong>/setup</strong></td></tr>
	<?php
	$i += ug_checkfile("setup.php","setup/");
	$i += ug_checkfile("phpwcms_".$phpwcms['modules']['usergroup']['versions'][$phpwcms["release"]].".php","setup/");
	?>
	    </table></span></div><br />
	  </td>
    <tr><td colspan="3"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td align="left" class="chatlist" colspan="3"><div id="box2">
	  <span id="open_span2">
	    <a href="#" onClick="document.getElementById('close_span2').style.display='inline';document.getElementById('open_span2').style.display='none';document.getElementById('box2').style.border='1px solid #9BBECA';">
	    <img src="<?php echo $phpwcms['modules'][$module]['dir']; ?>img/tables_reiter.gif" alt="close" width="45px" height="12px" style="border:0px;">
		</a>
	  </span>
	  <span id="close_span2" style="display:none;">
	    <a href="#" onClick="document.getElementById('open_span2').style.display='inline';document.getElementById('close_span2').style.display='none';document.getElementById('box2').style.border='0px';">
		<img src="<?php echo $phpwcms['modules'][$module]['dir']; ?>img/close_reiter.gif" alt="close" width="45px" height="12px" style="border:0px;z-index:2;">
		</a><br /><table border="0" cellpadding="0" cellspacing="0">
	<?php
	$exist = ug_tablesexists($phpwcms["db_table"]);
	foreach($exist as $id) {
		echo '<tr><td width="35px">&nbsp;</td>'.LF
			.'<td width="40px" align="center">'.ug_checkimg("ok").'</td>'.LF
			.'<td align="left" class="chatlist">'.$phpwcms['modules'][$module]['tables'][$id].'</td><td>&nbsp;</td></tr>'.LF;
		$pos=array_search($phpwcms['modules'][$module]['tables'][$id],$phpwcms['modules'][$module]['tables']);
		unset($phpwcms['modules'][$module]['tables'][$pos]);
	}
	foreach($phpwcms['modules'][$module]['tables'] as $id) {
		echo '<tr><td width="35px">&nbsp;</td>'.LF
			.'<td width="40px" align="center">'.ug_checkimg("wrong").'</td>'.LF
			.'<td align="left" class="chatlist"><strong '.$style_wrong.'>'.$id.'</strong></td>'.LF
			.'<td width="100px" align="center" style="position: absolute;">&nbsp;&nbsp;<a href="'.$phpwcms['modules'][$module]['dir'].'setup/setup.php?table='.$id.'">'
			.$BL['modules'][$module]['modul_create'].'</a></td></tr>'.LF;
		$i++;
	}

	//$i += ug_checkcol("usr_holiday","phpwcms_user",$BL['modules'][$module]['modul_create']);
  $i += ug_checkcol("usr_permissions","phpwcms_user",$BL['modules'][$module]['modul_create']);
	$i += ug_checkcol("group_description","phpwcms_usergroup",$BL['modules'][$module]['modul_create']);
	//$i += ug_checkcol("group_order","phpwcms_usergroup",$BL['modules'][$module]['modul_create']);
	$i += ug_checkcol("group_permissions","phpwcms_usergroup",$BL['modules'][$module]['modul_create']);
  $i += ug_checksuperrights('phpwcms_usergroup','group_id','Super Group',$BL['modules'][$module]['modul_create']);
  $i += ug_checksuperrights('phpwcms_user','usr_id','Super Admin',$BL['modules'][$module]['modul_create']);
  
	?>
	    </table></span></div><br />
	  </td>
    </tr>  
	<tr><td colspan="3"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr><td colspan="3"><a onclick='uninstall_mug();' ><img src="include/inc_module/mod_user_group/img/<?php print $BL['be_admin_uninstall']; ?>.gif" alt="<?php print $BL['be_admin_uninstall']; ?>"</a></td></tr>
	<tr><td colspan="3"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<?php $hint = ($i <= 1) ? $hint : ''; ?>
	<tr><td width="20px">&nbsp;</td><td width="20px" class="chatlist"><?php echo $img; ?></td><td><?php echo $text." ".$hint; ?></td></tr>
	<tr><td colspan="3"><img src="img/leer.gif" alt="" width="1" height="7"></td></tr>
	<tr>
	  <td colspan="3" class="chatlist">
	<?php
		if($i == 0) {
			echo '<strong '.$style_ok.'>'.$BL['modules'][$module]['modul_nullerr'].'</strong> '.ug_checkimg("ok");
		} elseif($i > 0) {
			echo '<strong '.$style_wrong.'>'.str_replace("%i%", $i, $BL['modules'][$module]['modul_err']).'</strong> '.ug_checkimg("wrong");
		}
	?>
	  </td>
	</tr>
  </table>
</form>
<script language="JavaScript">
  function uninstall_mug(){
    if(confirm('<?php print $BL["be_admin_uninstall_confirm"]; ?>')){
      location.href="include/inc_module/mod_user_group/setup/setup.php?uninstall=mod_user_group";
    }
  }
	function deaktivate_chk(Obj, mode) {
		Obj.disabled = mode;
	}
	function check_chk(Obj, mode) {
		Obj.checked = mode;
	}
	deaktivate_chk(document.form_modul.active, <?php echo ($i==0) ? "false" : "true"; ?>);
	check_chk(document.form_modul.active, <?php echo (isset($phpwcms['modules'][$module]['permissions'])) ? "true" : "false"; ?>);
	deaktivate_chk(document.form_modul.install, <?php echo ($i==0) ? "false" : "true"; ?>);
</script>
<?php
}
?>